Create a connectionAsk AIpost https://api.instill-ai.com/v1beta/namespaces/{namespaceId}/connectionsCreates a connection under the ownership of a namespace.Path ParamsnamespaceIdstringrequiredID of the namespace that owns the connection.Body ParamsProperties of the connection to be created.idstringrequiredID.integrationIdstringrequiredIntegration ID. It determines for which type of components can reference this connection.methodstringenumrequiredMethod defines how the connection is set up. METHOD_DICTIONARY: Key-value collection. The user is responsible of fetching the connection details from the 3rd party service. METHOD_OAUTH: Access token created via OAuth 2.0 authorization. METHOD_DICTIONARYMETHOD_OAUTHAllowed:METHOD_DICTIONARYMETHOD_OAUTHsetupobjectrequiredConnection details. This field is required on creation, optional on view. When viewing the connection details, the setup values will be redacted.setup objectscopesarray of stringsA list of scopes that identify the resources that the connection will be able to access on the user's behalf. This is typically passed on creation when the setup has been generated through an OAuth flow with a limited set of scopes.scopesADD stringidentitystringWhen the connection method is METHOD_OAUTH, this field will hold the identity (e.g., email, username) with which the access token has been generated.oAuthAccessDetailsobjectWhen the connection method is METHOD_OAUTH, the access token might come with some extra information that might vary across vendors. This information is passed as connection metadata.oAuthAccessDetails objectResponses 200A successful response. 401Returned when the client credentials are not valid. defaultAn unexpected error response.Updated 9 months ago